Subject: Re: [PATCH net-next 1/6] bridge: uapi: Add neigh_forward_grat netlink attributes

From: Ido Schimmel <[email-masked]>
Date: Thu, 7 May 2026 09:54:03 +0300

On Wed, May 06, 2026 at 03:05:56PM -0700, Jakub Kicinski wrote:
> > > Related: The AI also did not catch that the spec was missing (easy
> > > to forget for rtnetlink). Do you think it's worth adding to
> > > review-prompts?  
> 
> I assumed Sashiko missed this because it doesn't spent too much time on
> the series as a whole right now (I was going to tweak that but looks
> like Claude is having another meltdown, crazy inference latency,
> patches backlogging for review..)
> 
> Are you saying that the review prompts-based test is also not catching
> this even if you give it the range of commits that form the series?

Yes. I noticed this during the STP mode review:

https://lore.kernel.org/netdev/20260324200051.GA572287@shredder/

Where the entire code changes are in a single patch.

AI review of this patch:

https://sashiko.dev/#/patchset/20260324184942.2828691-1-aroulin%40nvidia.com
https://netdev-ai.bots.linux.dev/ai-review.html?id=d0cd7a7e-a803-45df-8121-555484a45315#patch-0

We can try to add this to the review-prompts and see if it helps.